OpenTTD Source: Livery Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
Livery Struct Reference

Information about a particular livery. More...

`#include <livery.h>`

## Data Fields
uint8_t | in_use
| Bit 0 set if this livery should override the default livery first colour, Bit 1 for the second colour.
Colours | colour1
| First colour, for all vehicles.
Colours | colour2
| Second colour, for vehicles with 2CC support.

## Detailed Description

Information about a particular livery.

Definition at line 78 of file livery.h.

## Field Documentation

## ◆ colour1

Colours Livery::colour1

First colour, for all vehicles.

Definition at line 80 of file livery.h.

Referenced by BuildObject(), CmdAlterGroup(), CmdCreateGroup(), CmdSetCompanyColour(), CmdSetGroupLivery(), DrawNewObjectTileInGUI(), GetCompanyInfo(), IndustriesScopeResolver::GetVariable(), PropagateChildLivery(), ResetCompanyLivery(), SelectCompanyLiveryWindow::SetStringParameters(), UpdateCompanyGroupLiveries(), UpdateCompanyLiveries(), and UpdateObjectColours().

## ◆ colour2

Colours Livery::colour2

Second colour, for vehicles with 2CC support.

Definition at line 81 of file livery.h.

Referenced by BuildObject(), CmdAlterGroup(), CmdCreateGroup(), CmdSetCompanyColour(), CmdSetGroupLivery(), DrawNewObjectTileInGUI(), GetCompanyInfo(), IndustriesScopeResolver::GetVariable(), PropagateChildLivery(), ResetCompanyLivery(), SelectCompanyLiveryWindow::SetStringParameters(), UpdateCompanyGroupLiveries(), UpdateCompanyLiveries(), and UpdateObjectColours().

## ◆ in_use

uint8_t Livery::in_use

Bit 0 set if this livery should override the default livery first colour, Bit 1 for the second colour.

Definition at line 79 of file livery.h.

Referenced by CmdAlterGroup(), CmdSetCompanyColour(), CmdSetGroupLivery(), GetEngineLivery(), ResetCompanyLivery(), SelectCompanyLiveryWindow::SetStringParameters(), UpdateCompanyGroupLiveries(), and UpdateCompanyLiveries().

The documentation for this struct was generated from the following file:

- src/livery.h